読者です 読者をやめる 読者になる 読者になる

sqlite3-rubyとWindows

ruby

Windows環境で

gem install sqlite3-ruby

とすると以下のように怒られる><

C:/Ruby/bin/ruby.exe extconf.rb install sqlite3-ruby
checking for fdatasync() in rt.lib... no
checking for sqlite3.h... no

nmake
'nmake' は、内部コマンドまたは外部コマンド、
操作可能なプログラムまたはバッチ ファイルとして認識されていません。

最新版(1.2.4)はまだWindowsに対応していないらしく1.2.3をインストールせねばならない。

gem install sqlite3-ruby --version '= 1.2.3'

これでOK。

広告を非表示にする